unit Unit1;

interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,
  FMX.Types, FMX.Controls, FMX.Forms, FMX.Dialogs, FMX.Layouts, FMX.ListBox;

type
  TForm1 = class(TForm)
    ListBox1: TListBox;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.fmx}

procedure TForm1.FormCreate(Sender: TObject);
var
  i, j: Integer;
  lbItem: TListBoxItem;
  lbGroupHeader: TListBoxGroupHeader;
begin
  ListBox1.BeginUpdate;
  ListBox1.Clear;
  for i := 1 to 9 do
  begin
    // Aadimos cabecera a la lista
    lbGroupHeader := TListBoxGroupHeader.Create(ListBox1);
    lbGroupHeader.Text := IntToStr(i);
    ListBox1.AddObject(lbGroupHeader);

    // Aadimos los Items a la lista
    for j := 1 to 3 do
    begin
      lbItem := TListBoxItem.Create(ListBox1);
      lbItem.Text := StringOfChar(IntToStr(i)[0], j);
      lbItem.ItemData.Accessory := TListBoxItemData.TAccessory(j);
      ListBox1.AddObject(lbItem);
    end;
  end;
  ListBox1.EndUpdate;
end;

end.
